AutoCAD entity using its handle, and zoom from child to parent block, here i used tag name of child block as "REMARKS" and value inserted Parent block handle from Excel. I found some lisp from internet, but showing error, anyone can correct it..?
thanks,
(defun LM:vl-GetAttributeValue ( block tag )
(setq tag (strcase tag))
(vl-some
(function
(lambda ( attrib )
(if (eq tag (strcase (vla-get-Tagstring attrib)))
(vla-get-TextString attrib)
)
)
)
(vlax-invoke block 'GetAttributes)
)
)
(defun c:test ( / ss )
(if (setq ss (ssget "_+.:E:S" '((0 . "INSERT") (66 . 1))))
(princ
(LM:vl-GetAttributeValue
(vlax-ename->vla-object (ssname ss 0))
(setq ent_handle (setq Mystring "REMARKS"))
)
)
)
(command "Zoom" "Object" (handent ent_handle) "")
(princ)
)